﻿function triggerFileDownload(fileName, url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, true);
    xhr.responseType = 'blob';
    xhr.onload = function (e) {
        if (this.status == 200) {
            var myBlob = this.response;
            var link = document.createElement('a');
            link.href = window.URL.createObjectURL(myBlob);
            link.download = fileName;
            link.click();
        }
    };
    xhr.send();
}

function triggerFileDownloadPost(fileName, url, obj) {
    var xhr = new XMLHttpRequest();
    var json = JSON.stringify(obj);
    xhr.open('POST', url, true);
    xhr.setRequestHeader('Content-type', 'application/json; charset=utf-8');
    xhr.responseType = 'blob';
    xhr.onload = function (e) {
        if (this.status == 200) {
            var myBlob = this.response;
            var link = document.createElement('a');
            link.href = window.URL.createObjectURL(myBlob);
            link.download = fileName;
            link.click();
        }
    };
    xhr.send(json);
}

function copyToClipboard(text) {
    navigator.clipboard.writeText(text);
}

function drawQrCode() {
    document.getElementById('qrCodeData').innerHTML = '';
    document.getElementById('qrCode').innerHTML = '';
    const uri = document.getElementById("qrCodeData").getAttribute('data-url');
    new QRCode(document.getElementById("qrCode"),
        {
            text: uri,
            width: 150,
            height: 150
        });
}